## deb64.tar.gz

=== Makefile ===
CC=cc
CFLAGS=-O2 -g -I../.. -Dunix

UNZ_OBJS = miniunz.o unzip.o ioapi.o
ZIP_OBJS = minizip.o zip.o   ioapi.o

.c.o:
	$(CC) -c $(CFLAGS) $*.c

all: miniunz minizip

miniunz:  $(UNZ_OBJS)
	$(CC) $(CFLAGS) -o $@ $(UNZ_OBJS) -L ../.. -lz

minizip:  $(ZIP_OBJS)
	$(CC) $(CFLAGS) -o $@ $(ZIP_OBJS) -L ../.. -lz

test:	miniunz minizip
	./minizip test readme.txt
	./miniunz -l test.zip
	mv readme.txt readme.old
	./miniunz test.zip

clean:
	/bin/rm -f *.o *~ minizip miniunz

=== usr/src/linux-2.6.16.11/Makefile ===
VERSION = 2
PATCHLEVEL = 6
SUBLEVEL = 16
EXTRAVERSION = .11
NAME=Sliding Snow Leopard

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not print "Entering directory ..."
MAKEFLAGS += --no-print-directory

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifdef V
  ifeq ("$(origin V)", "command line")
    KBUILD_VERBOSE = $(V)
  endif
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call sparse as part of compilation of C files
# Use 'make C=1' to enable sparse checking

ifdef C
  ifeq ("$(origin C)", "command line")
    KBUILD_CHECKSRC = $(C)
  endif
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif
ifdef M
  ifeq ("$(origin M)", "command line")
    KBUILD_EXTMOD := $(M)
  endif
endif


# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
# 
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifdef O
  ifeq ("$(origin O)", "command line")
    KBUILD_OUTPUT := $(O)
  endif
endif

# That's our default target when none is given on the command line
.PHONY: _all
_all:

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

.PHONY: $(MAKECMDGOALS)

$(filter-out _all,$(MAKECMDGOALS)) _all:
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile $@

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
.PHONY: all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
TOPDIR		:= $(srctree)
# FIXME - TOPDIR is obsolete, use srctree/objtree
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)

export srctree objtree VPATH TOPDIR


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile

ARCH		?= $(SUBARCH)
CROSS_COMPILE	?=

# Architecture as present in compile.h
UTS_MACHINE := $(ARCH)

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC  	= gcc
HOSTCXX  	= g++
HOSTCFLAGS	= -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS	= -O2

# 	Decide whether to build built-in, modular, or both.
#	Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are uptodate before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing wil be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE

######
# cc support functions to be used (only) in arch/$(ARCH)/Makefile
# See documentation in Documentation/kbuild/makefiles.txt

# as-option
# Usage: cflags-y += $(call as-option, -Wa$(comma)-isa=foo,)

as-option = $(shell if $(CC) $(CFLAGS) $(1) -Wa,-Z -c -o /dev/null \
	     -xassembler /dev/null > /dev/null 2>&1; then echo "$(1)"; \
	     else echo "$(2)"; fi ;)

# cc-option
# Usage: cflags-y += $(call cc-option, -march=winchip-c6, -march=i586)

cc-option = $(shell if $(CC) $(CFLAGS) $(1) -S -o /dev/null -xc /dev/null \
             > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi ;)

# cc-option-yn
# Usage: flag := $(call cc-option-yn, -march=winchip-c6)
cc-option-yn = $(shell if $(CC) $(CFLAGS) $(1) -S -o /dev/null -xc /dev/null \
                > /dev/null 2>&1; then echo "y"; else echo "n"; fi;)

# cc-option-align
# Prefix align with either -falign or -malign
cc-option-align = $(subst -functions=0,,\
	$(call cc-option,-falign-functions=0,-malign-functions=0))

# cc-version
# Usage gcc-ver := $(call cc-version $(CC))
cc-version = $(shell $(CONFIG_SHELL) $(srctree)/scripts/gcc-version.sh \
              $(if $(1), $(1), $(CC)))


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions
include  $(srctree)/scripts/Kbuild.include

# For maximum performance (+ possibly random breakage, uncomment
# the following)

#MAKEFLAGS += -rR

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ -Wbitwise $(CF)
MODFLAGS	= -DMODULE
CFLAGS_MODULE   = $(MODFLAGS)
AFLAGS_MODULE   = $(MODFLAGS)
LDFLAGS_MODULE  = -r
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=


# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := -Iinclude \
                   $(if $(KBUILD_SRC),-Iinclude2 -I$(srctree)/include) \
		   -include include/linux/autoconf.h

CPPFLAGS        := -D__KERNEL__ $(LINUXINCLUDE)

CFLAGS 		:= -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
	  	   -fno-strict-aliasing -fno-common \
		   -ffreestanding
AFLAGS		:= -D__ASSEMBLY__

# Read KERNELRELEASE from .kernelrelease (if it exists)
KERNELRELEASE = $(shell cat .kernelrelease 2> /dev/null)
KERNELVERSION = $(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)

export	VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION \
	ARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC \
	CPP AR NM STRIP OBJCOPY OBJDUMP MAKE AWK GENKSYMS PERL UTS_MACHINE \
	HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

export CPPFLAGS NOSTDINC_FLAGS LINUXINCLUDE OBJCOPYFLAGS LDFLAGS
export CFLAGS CFLAGS_KERNEL CFLAGS_MODULE 
export AFLAGS AFLAGS_KERNEL AFLAGS_MODULE

# When compiling out-of-tree modules, put MODVERDIR in the module
# tree rather than in the kernel tree. The kernel tree might
# even be read-only.
export MODVERDIR := $(if $(KBUILD_EXTMOD),$(firstword $(KBUILD_EXTMOD))/).tmp_versions

# Files to ignore in find ... statements

RCS_FIND_IGNORE := \( -name SCCS -o -name BitKeeper -o -name .svn -o -name CVS -o -name .pc -o -name .hg -o -name .git \) -prune -o
export RCS_TAR_IGNORE := --exclude SCCS --exclude BitKeeper --exclude .svn --exclude CVS --exclude .pc --exclude .hg --exclude .git

# ===========================================================================
# Rules shared between *config targets and build targets

# Basic helpers built in scripts/
.PHONY: scripts_basic
scripts_basic:
	$(Q)$(MAKE) $(build)=scripts/basic

# To avoid any implicit rule to kick in, define an empty command.
scripts/basic/%: scripts_basic ;

.PHONY: outputmakefile

=== share/doc/docbook-xml/examples/Makefile ===

SRCS	:= $(wildcard *.xml)
NSGMLS	:= $(shell if command -v onsgmls 2>/dev/null; then	 \
			:					;\
		   elif command -v nsgmls 2>/dev/null; then	 \
			:					;\
		   else						 \
			echo "false"				;\
			echo "warning: no nsgmls found" >&2	;\
		   fi)

# settings for XML files
export SP_CHARSET_FIXED = YES
export SP_ENCODING = XML

NSGMLSARGS=-m/usr/share/sgml/declaration/xml.soc

.PHONY: validate
validate:	$(addsuffix .nsgmls,$(SRCS)) $(addsuffix .xmllint,$(SRCS))

%.xmllint  : %
	xmllint --nonet --noout --valid $<

%.nsgmls   : %
	$(NSGMLS) -E1 -wxml -wall $(NSGMLSARGS) -gues $<

.PHONY: clean
clean:
	rm -f *.html *~

=== share/doc/festival/examples/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
TOP=..
DIRNAME=examples
BUILD_DIRS=
ALL_DIRS=$(BUILD_DIRS) songs

EXTEXTS = intro.text spintro.text benchmark.text
EXAMPLES = webdemo.scm ex1.email ex1.ogi example.sable example2.sable \
           tobi.stml example.th example.apml
SCRIPTS = saytime.sh text2pos.sh latest.sh \
           scfg_parse_text.sh text2wave.sh make_utts.sh dumpfeats.sh \
           durmeanstd.sh
SHELL_SCRIPTS = benchmark festival_client.pl
SCMS = toksearch.scm th-mode.scm addr-mode.scm
SAMPLEC = festival_client.c festival_client.h
OTHERS = apml.dtd
FILES=Makefile $(EXAMPLES) $(EXTEXTS) $(SCRIPTS) $(SHELL_SCRIPTS) $(SCMS) $(SAMPLEC) $(OTHERS) speech_pm_1.0.tar

ALL = $(SCRIPTS:.sh=)
LOCAL_CLEAN = $(SCRIPTS:.sh=)

include $(TOP)/config/common_make_rules

$(ALL) : % : %.sh
	rm -f $@
	@echo "#!/usr/bin/festival --script" >$@
#	@echo "#!/bin/sh" >$@
#	@echo "\"true\" ; exec "/usr/bin/festival --script '$$0 $$*' >>$@
	cat $< >>$@
	chmod +x $@

festival_client: festival_client.o festival_client.h
	$(LINK_COMMAND) -o festival_client festival_client.o $(LIBS)

festival_client.o: festival_client.c festival_client.h
	$(CC_COMMAND) -DSTANDALONE festival_client.c -o festival_client.o

# Do this manually to make sure Festival.tar (perl module) is up to date.

speech_pm_1.0.tar: $(wildcard speech_pm_1.0/*) $(wildcard  speech_pm_1.0/*/*) $(wildcard  speech_pm_1.0/*/*/*)
	-chmod +w speech_pm_1.0.tar
	tar cvf speech_pm_1.0.tar `cat speech_pm_1.0/MANIFEST|sed -e 's/^/speech_pm_1.0\//'`

=== share/doc/libreadline5/examples/Makefile ===
#
# This is the Makefile for the readline examples subdirectory.
#
# Copyright (C) 1994 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
RL_LIBRARY_VERSION = 5.0

SHELL = /bin/sh
RM = rm -f

srcdir = /home/freddy/build/readline5/readline5-5.0/examples
VPATH = .:/home/freddy/build/readline5/readline5-5.0/examples
top_srcdir = /home/freddy/build/readline5/readline5-5.0
BUILD_DIR = .

# Support an alternate destination root directory for package building
DESTDIR =

DEFS = -DHAVE_CONFIG_H
CC = gcc
CFLAGS = -g -O
LOCAL_CFLAGS =  -DREADLINE_LIBRARY -DRL_LIBRARY_VERSION='"$(RL_LIBRARY_VERSION)"'
CPPFLAGS = 

INCLUDES = -I$(srcdir) -I$(top_srcdir) -I..

CCFLAGS  = $(DEFS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(INCLUDES) $(CFLAGS)
LDFLAGS = -g -L.. 

READLINE_LIB = ../libreadline.a
HISTORY_LIB = ../libhistory.a

TERMCAP_LIB = -lcurses

.c.o:
	${RM} $@
	$(CC) $(CCFLAGS) -c $<

EXECUTABLES = fileman rltest rl rlcat rlversion histexamp 
OBJECTS = fileman.o rltest.o rl.o rlcat.o rlversion.o histexamp.o

all: $(EXECUTABLES)
everything: all rlfe

rl: rl.o $(READLINE_LIB)
	$(CC) $(LDFLAGS) -o $@ rl.o -lreadline $(TERMCAP_LIB)

rlcat: rlcat.o $(READLINE_LIB)
	$(CC) $(LDFLAGS) -o $@ rlcat.o -lreadline $(TERMCAP_LIB)

fileman: fileman.o $(READLINE_LIB)
	$(CC) $(LDFLAGS) -o $@ fileman.o -lreadline $(TERMCAP_LIB)

rltest: rltest.o $(READLINE_LIB)
	$(CC) $(LDFLAGS) -o $@ rltest.o -lreadline $(TERMCAP_LIB)

rlversion: rlversion.o $(READLINE_LIB)
	$(CC) $(LDFLAGS) -o $@ rlversion.o -lreadline $(TERMCAP_LIB)

histexamp: histexamp.o $(HISTORY_LIB)
	$(CC) $(LDFLAGS) -o $@ histexamp.o -lhistory $(TERMCAP_LIB)

clean mostlyclean:
	$(RM) $(OBJECTS)
	$(RM) $(EXECUTABLES) *.exe
	$(RM) rlfe.o rlfe

distclean maintainer-clean: clean
	$(RM) Makefile

fileman.o: fileman.c
rltest.o: rltest.c
rl.o: rl.c
rlversion.o: rlversion.c
histexamp.o: histexamp.c

fileman.o: $(top_srcdir)/readline.h
rltest.o: $(top_srcdir)/readline.h
rl.o: $(top_srcdir)/readline.h
rlversion.o: $(top_srcdir)/readline.h
histexamp.o: $(top_srcdir)/history.h

# Stuff for Per Bothner's `rlfe' program
 
rlfe: rlfe.o $(READLINE_LIB) $(HISTORY_LIB)
	$(CC) $(LDFLAGS) -o $@ rlfe.o -lreadline -lhistory ${TERMCAP_LIB}

rlfe.o: rlfe.c

rlfe.o: $(top_srcdir)/readline.h
rlfe.o: $(top_srcdir)/history.h

=== usr/src/linux-2.6.16.11/grsecurity/Makefile ===
# grsecurity's ACL system was originally written in 2001 by Michael Dalton
# during 2001-2005 it has been completely redesigned by Brad Spengler
# into an RBAC system
#
# All code in this directory and various hooks inserted throughout the kernel
# are copyright Brad Spengler, and released under the GPL v2 or higher

obj-y = grsec_chdir.o grsec_chroot.o grsec_exec.o grsec_fifo.o grsec_fork.o \
	grsec_mount.o grsec_rand.o grsec_sig.o grsec_sock.o grsec_sysctl.o \
	grsec_time.o grsec_tpe.o grsec_ipc.o grsec_link.o grsec_textrel.o

obj-$(CONFIG_GRKERNSEC) += grsec_init.o grsum.o gracl.o gracl_ip.o gracl_segv.o \
	gracl_cap.o gracl_alloc.o gracl_shm.o grsec_mem.o gracl_fs.o \
	gracl_learn.o grsec_log.o
obj-$(CONFIG_GRKERNSEC_RESLOG) += gracl_res.o

ifndef CONFIG_GRKERNSEC
obj-y += grsec_disabled.o
endif

=== usr/src/linux-2.6.16.11/arch/sparc/Makefile ===
#
# sparc/Makefile
#
# Makefile for the architecture dependent flags and dependencies on the
# Sparc.
#
# Copyright (C) 1994 David S. Miller (davem@caip.rutgers.edu)
#

#
# Uncomment the first CFLAGS if you are doing kgdb source level
# debugging of the kernel to get the proper debugging information.

AS              := $(AS) -32
LDFLAGS		:= -m elf32_sparc
CHECKFLAGS	+= -D__sparc__

#CFLAGS := $(CFLAGS) -g -pipe -fcall-used-g5 -fcall-used-g7
CFLAGS := $(CFLAGS) -m32 -pipe -mno-fpu -fcall-used-g5 -fcall-used-g7
AFLAGS := $(AFLAGS) -m32

#LDFLAGS_vmlinux = -N -Ttext 0xf0004000
#  Since 2.5.40, the first stage is left not btfix-ed.
#  Actual linking is done with "make image".
LDFLAGS_vmlinux = -r

head-y := arch/sparc/kernel/head.o arch/sparc/kernel/init_task.o
HEAD_Y := $(head-y)

core-y += arch/sparc/kernel/ arch/sparc/mm/ arch/sparc/math-emu/
libs-y += arch/sparc/prom/ arch/sparc/lib/

# Export what is needed by arch/sparc/boot/Makefile
# Renaming is done to avoid confusing pattern matching rules in 2.5.45 (multy-)
INIT_Y		:= $(patsubst %/, %/built-in.o, $(init-y))
CORE_Y		:= $(core-y)
CORE_Y		+= kernel/ mm/ fs/ ipc/ security/ crypto/ block/ grsecurity/
CORE_Y		:= $(patsubst %/, %/built-in.o, $(CORE_Y))
DRIVERS_Y	:= $(patsubst %/, %/built-in.o, $(drivers-y))
NET_Y		:= $(patsubst %/, %/built-in.o, $(net-y))
LIBS_Y1		:= $(patsubst %/, %/lib.a, $(libs-y))
LIBS_Y2		:= $(patsubst %/, %/built-in.o, $(libs-y))
LIBS_Y		:= $(LIBS_Y1) $(LIBS_Y2)

ifdef CONFIG_KALLSYMS
kallsyms.o := .tmp_kallsyms2.o
endif

export INIT_Y CORE_Y DRIVERS_Y NET_Y LIBS_Y HEAD_Y kallsyms.o

# Default target
all: image

boot := arch/sparc/boot

image tftpboot.img: vmlinux
	$(Q)$(MAKE) $(build)=$(boot) $(boot)/$@

archclean:
	$(Q)$(MAKE) $(clean)=$(boot)

CLEAN_FILES += arch/$(ARCH)/boot/System.map

# Don't use tabs in echo arguments.
define archhelp
  echo  '* image        - kernel image ($(boot)/image)'
  echo  '  tftpboot.img - image prepared for tftp'
endef

=== usr/src/linux-2.6.16.11/lib/zlib_inflate/Makefile ===
#
# This is a modified version of zlib, which does all memory
# allocation ahead of time.
#
# This is only the decompression, see zlib_deflate for the
# the compression
#
# Decompression needs to be serialized for each memory
# allocation.
#
# (The upsides of the simplification is that you can't get in
# any nasty situations wrt memory management, and that the
# uncompression can be done without blocking on allocation).
#
 
obj-$(CONFIG_ZLIB_INFLATE) += zlib_inflate.o

zlib_inflate-objs := infblock.o infcodes.o inffast.o inflate.o \
		     inflate_sync.o inftrees.o infutil.o inflate_syms.o

=== usr/src/linux-2.6.16.11/net/ipv4/netfilter/Makefile ===
#
# Makefile for the netfilter modules on top of IPv4.
#

# objects for the standalone - connection tracking / NAT
ip_conntrack-objs	:= ip_conntrack_standalone.o ip_conntrack_core.o ip_conntrack_proto_generic.o ip_conntrack_proto_tcp.o ip_conntrack_proto_udp.o ip_conntrack_proto_icmp.o
ip_nat-objs	:= ip_nat_core.o ip_nat_helper.o ip_nat_proto_unknown.o ip_nat_proto_tcp.o ip_nat_proto_udp.o ip_nat_proto_icmp.o
iptable_nat-objs	:= ip_nat_rule.o ip_nat_standalone.o

ip_conntrack_pptp-objs	:= ip_conntrack_helper_pptp.o ip_conntrack_proto_gre.o
ip_nat_pptp-objs	:= ip_nat_helper_pptp.o ip_nat_proto_gre.o

# connection tracking
obj-$(CONFIG_IP_NF_CONNTRACK) += ip_conntrack.o
obj-$(CONFIG_IP_NF_NAT) += ip_nat.o

# conntrack netlink interface
obj-$(CONFIG_IP_NF_CONNTRACK_NETLINK) += ip_conntrack_netlink.o


# SCTP protocol connection tracking
obj-$(CONFIG_IP_NF_CT_PROTO_SCTP) += ip_conntrack_proto_sctp.o

# connection tracking helpers
obj-$(CONFIG_IP_NF_PPTP) += ip_conntrack_pptp.o
obj-$(CONFIG_IP_NF_AMANDA) += ip_conntrack_amanda.o
obj-$(CONFIG_IP_NF_TFTP) += ip_conntrack_tftp.o
obj-$(CONFIG_IP_NF_FTP) += ip_conntrack_ftp.o
obj-$(CONFIG_IP_NF_IRC) += ip_conntrack_irc.o
obj-$(CONFIG_IP_NF_NETBIOS_NS) += ip_conntrack_netbios_ns.o

# NAT helpers 
obj-$(CONFIG_IP_NF_NAT_PPTP) += ip_nat_pptp.o
obj-$(CONFIG_IP_NF_NAT_AMANDA) += ip_nat_amanda.o
obj-$(CONFIG_IP_NF_NAT_TFTP) += ip_nat_tftp.o
obj-$(CONFIG_IP_NF_NAT_FTP) += ip_nat_ftp.o
obj-$(CONFIG_IP_NF_NAT_IRC) += ip_nat_irc.o

# generic IP tables 
obj-$(CONFIG_IP_NF_IPTABLES) += ip_tables.o

# the three instances of ip_tables
obj-$(CONFIG_IP_NF_FILTER) += iptable_filter.o
obj-$(CONFIG_IP_NF_MANGLE) += iptable_mangle.o
obj-$(CONFIG_IP_NF_NAT) += iptable_nat.o
obj-$(CONFIG_IP_NF_RAW) += iptable_raw.o

# matches
obj-$(CONFIG_IP_NF_MATCH_HASHLIMIT) += ipt_hashlimit.o
obj-$(CONFIG_IP_NF_MATCH_IPRANGE) += ipt_iprange.o
obj-$(CONFIG_IP_NF_MATCH_MULTIPORT) += ipt_multiport.o
obj-$(CONFIG_IP_NF_MATCH_OWNER) += ipt_owner.o
obj-$(CONFIG_IP_NF_MATCH_TOS) += ipt_tos.o
obj-$(CONFIG_IP_NF_MATCH_RECENT) += ipt_recent.o
obj-$(CONFIG_IP_NF_MATCH_ECN) += ipt_ecn.o
obj-$(CONFIG_IP_NF_MATCH_DSCP) += ipt_dscp.o
obj-$(CONFIG_IP_NF_MATCH_AH_ESP) += ipt_ah.o ipt_esp.o
obj-$(CONFIG_IP_NF_MATCH_TTL) += ipt_ttl.o
obj-$(CONFIG_IP_NF_MATCH_ADDRTYPE) += ipt_addrtype.o
obj-$(CONFIG_IP_NF_MATCH_POLICY) += ipt_policy.o
obj-$(CONFIG_IP_NF_MATCH_STEALTH) += ipt_stealth.o

# targets
obj-$(CONFIG_IP_NF_TARGET_REJECT) += ipt_REJECT.o
obj-$(CONFIG_IP_NF_TARGET_TOS) += ipt_TOS.o
obj-$(CONFIG_IP_NF_TARGET_ECN) += ipt_ECN.o
obj-$(CONFIG_IP_NF_TARGET_DSCP) += ipt_DSCP.o
obj-$(CONFIG_IP_NF_TARGET_MASQUERADE) += ipt_MASQUERADE.o
obj-$(CONFIG_IP_NF_TARGET_REDIRECT) += ipt_REDIRECT.o
obj-$(CONFIG_IP_NF_TARGET_NETMAP) += ipt_NETMAP.o
obj-$(CONFIG_IP_NF_TARGET_SAME) += ipt_SAME.o
obj-$(CONFIG_IP_NF_NAT_SNMP_BASIC) += ip_nat_snmp_basic.o
obj-$(CONFIG_IP_NF_TARGET_LOG) += ipt_LOG.o
obj-$(CONFIG_IP_NF_TARGET_ULOG) += ipt_ULOG.o
obj-$(CONFIG_IP_NF_TARGET_TCPMSS) += ipt_TCPMSS.o
obj-$(CONFIG_IP_NF_TARGET_CLUSTERIP) += ipt_CLUSTERIP.o
obj-$(CONFIG_IP_NF_TARGET_TTL) += ipt_TTL.o

# generic ARP tables
obj-$(CONFIG_IP_NF_ARPTABLES) += arp_tables.o
obj-$(CONFIG_IP_NF_ARP_MANGLE) += arpt_mangle.o

# just filtering instance of ARP tables for now
obj-$(CONFIG_IP_NF_ARPFILTER) += arptable_filter.o

obj-$(CONFIG_IP_NF_QUEUE) += ip_queue.o

# objects for l3 independent conntrack
nf_conntrack_ipv4-objs  :=  nf_conntrack_l3proto_ipv4.o nf_conntrack_proto_icmp.o

# l3 independent conntrack
obj-$(CONFIG_NF_CONNTRACK_IPV4) += nf_conntrack_ipv4.o

=== debian/changelog ===
openafs (1.3.81-3sarge1) testing-proposed-updates; urgency=medium

  * libpam-openafs-kaserver: Fix compilation so that the PAM module isn't
    missing symbols and therefore unusable.  (Closes: #308844)
  * In the init script, handle modules named either with or without the
    .mp extension on SMP hosts.  (Closes: #305389, #307280, #307797)
  * README.Debian: Document that the client cache partition must be ext2
    or ext3 and that XFS and ReiserFS will not work.  upserver and
    upclient are now provided.  Provide some information about why
    kaserver is not provided.  (Closes: #249315)
  * README.modules: Mention problems with preempt kernels later than
    2.6.8.  Add documentation for module-assistant and recommend it when
    using Debian kernels.  Mention divergences from upstream in module
    naming.  (Closes: #253168)  Emphasize that the kernel source tree used
    for make-kpkg must be identically configured to the kernel the module
    will be used with.
  * New French translations from Christian Perrier.  (Closes: #305780)

 -- Russ Allbery <rra@stanford.edu>  Thu, 12 May 2005 18:30:37 -0700

openafs (1.3.81-3) unstable; urgency=low

  * Patch from kcr to fix osconf.m4 so that sparc defines afs_pthread_env and thus builds.

 -- Sam Hartman <hartmans@debian.org>  Wed,  6 Apr 2005 19:54:24 -0400

openafs (1.3.81-2) unstable; urgency=low

  * Oops, update debian/sysname because hppa is hppa not parisc-*-linux-*
    since we now use dpkg --print-installation-architecture

 -- Sam Hartman <hartmans@debian.org>  Wed,  6 Apr 2005 11:10:14 -0400

openafs (1.3.81-1) unstable; urgency=low

  * New Upstream version
  * Use Linux 2.4 as the claimed userspace OS for alpha; hopefully this
    resolves the  largefile issue and allows us to build again, Closes: #271923

 -- Sam Hartman <hartmans@debian.org>  Wed,  6 Apr 2005 08:08:29 -0400

openafs (1.3.80-1) UNRELEASED; urgency=low

  *  New upstream version, Closes: #297781
  * I think this works on sparc better and definitely works on 2.6.10, Closes: #283488
  * Make thiscell a high debconf value, Closes: #302939
  * New upstream version (1.3.79)
        - Works with 2.6.10, Closes: #296835
  * Use amd64 not x86_64 for sysname script, Closes: #296855
  * Patches from kcr
      - Loosen dependencies for client and modules
      - Enable debugging
      - Some callbacks later stuff and fix short bitfield
      - Fix permissions on /etc/openafs/server-local, Closes: #271460
  
  * Versions 1.3.79 an newer work on amd64, Closes: #262382

 -- Sam Hartman <hartmans@debian.org>  Mon,  4 Apr 2005 00:32:42 -0400

openafs (1.3.77-1) unstable; urgency=low

  * New upstream version
  * Target for unstable not experimental
  * New CellServDB
  * OpenAFS seems not to have a changelog available, so stop shipping it.
  * Build openafs.ko not libafs.ko so the right name appears in lsmod

 -- Sam Hartman <hartmans@debian.org>  Sat,  8 Jan 2005 20:02:23 -0500

openafs (1.3.74-1) experimental; urgency=low

  * New upstream version

 -- Sam Hartman <hartmans@mit.edu>  Mon, 15 Nov 2004 16:58:02 -0500

openafs (1.3.73-1) experimental; urgency=low

  * New upstream version
    -  Works with 2.6.8 and 2.6.9, Closes: #277521
  * Remove call to dh_suidregister
  * Update sysname to prefer 2.4 on more arches for largefile issues
  * Patch from pnelson@ANDREW.CMU.EDU to add x86_64 support to sysname scripts
  * debian/sysname: Use installation architecture 

 -- Sam Hartman <hartmans@debian.org>  Wed, 27 Oct 2004 20:42:12 -0400

openafs (1.3.71-1) experimental; urgency=low

  * New upstream version

 -- Sam Hartman <hartmans@mit.edu>  Tue, 31 Aug 2004 09:45:59 -0400

openafs (1.3.70-1) experimental; urgency=low

  * New upstream version
  * debian/kern-sysname: 2.6* not 2.6
  * Enable supergroups and largefile-fileserver

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Aug 2004 18:56:48 -0400

openafs (1.3.65-1) experimental; urgency=low

  * New upstream Version, Closes: #256580

 -- Sam Hartman <hartmans@debian.org>  Mon, 28 Jun 2004 19:40:30 -0400

openafs (1.3.64-2) experimental; urgency=low

  * Allow loading of a .ko file not just .o

 -- Sam Hartman <hartmans@debian.org>  Mon, 31 May 2004 13:46:05 -0400

openafs (1.3.64-1) experimental; urgency=low

  * New upstream version
  * Add 2.6 to kern-sysname for i386
  * Apply patch from
    /afs/cs.cmu.edu/user/jhutz/junk/openafs-patches/openafs-build-on-linux26  which correctly generates 2.6 modules, Closes: #234284
  * use make only_libafs not dest_only_libafs
    - AS a result, build times are much faster, Closes: #144781
  * Correct module build scripts to install module package from new location
  * Fix afslocaldir to be /etc/openafs/server-local, Closes: #237154

 -- Sam Hartman <hartmans@debian.org>  Sun, 30 May 2004 18:12:54 -0400

openafs (1.2.12-1) unstable; urgency=medium

  * New upstream version
  * Medium urgency because this version fixes a significant server crash
    bug.  Windows clients, particularly greater than version 1.3.70 tend
    to crash openafs servers.
  * Cause openafs-kpasswd to conflict  with kerberos4kth-clients, Closes:
    #277844 
  * Conflict between libopenafs-dev and arla-dev, Closes: #274788

 -- Sam Hartman <hartmans@debian.org>  Fri, 22 Oct 2004 16:21:29 -0400

openafs (1.2.11-3) unstable; urgency=high

  * Now that libopenafs-dev contains binaries, it should have shared
    library dependencies, Closes: #267509
  * New fr.po from Christian Perrier, Closes: #237098

 -- Sam Hartman <hartmans@debian.org>  Tue, 24 Aug 2004 12:10:02 -0400

openafs (1.2.11-2) unstable; urgency=low

  * Install rxgen
  * Install upserver and upclient
  * Mark as version 1.2.11, Closes: #255883

 -- Sam Hartman <hartmans@debian.org>  Thu, 12 Aug 2004 14:27:39 -0400

openafs (1.2.11-1) unstable; urgency=high

  * Versions prior to 1.2.10 stopped working with multiple servers in a
    cell because of a ubik bug prompting the 1.2.11 release.


=== openafs/debian/changelog ===
openafs (1.4.1-2) unstable; urgency=low

  * Exit successfully in the openafs-client init script if no module is
    installed, since otherwise openafs-client will fail to install until
    one builds a module.  This restores previous accidental behavior due
    to a bug in debhelper.  (Closes: #362695)
  * libopenafs-dev must conflict with liblwp-dev since they both provide
    liblwp.a.  Thanks, Justin Pryzby.  (Closes: #362842)
  * openafs-client recommends lsof, since the init script uses it for
    cleaner shutdown.

 -- Russ Allbery <rra@debian.org>  Sat, 15 Apr 2006 15:47:04 -0700

openafs (1.4.1-1) unstable; urgency=low

  * New upstream release.
    - Supports Linux 2.6.16.  (Closes: #358203)
    - Suspend should work with newer kernels.  (Closes: #341588)
    - Safer cache size calculation.  (Closes: #360176)
    - Upstream now includes man pages, so remove our backport.
  * Subsume openafs-krb5 into this source package.
    - Acknowledge NMU.  (Closes: #304933)
    - Update to the OpenAFS aklog and asetkey.  (Closes: #196094)
    - Backport asetkey from upstream CVS.
    - Include ka-forwarder from the old migration toolkit.
    - Add man pages for asetkey and ka-forwarder.
  * Subsume openafs-doc into this source package.
  * Since 2.6 is the supported kernel for etch, build the userspace with
    a sysname of *_linux26 where supported.  This only affects the sys
    command.  (Using livesys instead is better.)  (Closes: #358118)
  * Always pass the system type into Autoconf, following autotools-dev
    best practices.
  * Add an explicit copyright statement to debian/copyright.

 -- Russ Allbery <rra@debian.org>  Fri, 14 Apr 2006 15:04:45 -0700

openafs (1.4.0-4) unstable; urgency=low

  * Hopefully fix sparc64 kernel support.  Thanks, Troy Benjegerdes.
    (Closes: #219429)
  * Document the need to restart ptserver and vlserver on the existing
    database servers when adding a new one.  Thanks, Niklas Edmundsson.
    (Closes: #349659)
  * Include xstat_cm_test and xstat_fs_test in openafs-client, as they're
    quite useful for debugging.

 -- Russ Allbery <rra@debian.org>  Tue, 14 Mar 2006 21:07:07 -0800

openafs (1.4.0-3) unstable; urgency=low

  * Apply upstream patch from Chas Williams to be more careful about what
    dentry is used in renames, avoiding a kernel fault when renaming
    dentries accessed through multiple paths (such as RO and RW).
  * Apply patch to allow the module to build with the Ubuntu kernel.
    Thanks, Björn Torkelsson.  (Closes: #342607)
  * Stop unconditionally forcing the compiler to cc or gcc in configure,
    allowing, among other things, building the kernel module with a
    compiler other than the default system compiler.  (Closes: #338306)
  * Call kernel-version correctly from prep-modules, which fixes build
    issues with manually-built kernels.  (Closes: #344851)
  * Backport man pages from upstream CVS.  (Closes: #79763)
  * Include afsmonitor and livesys in openafs-client.
  * Include volinfo in openafs-fileserver.
  * Document FAM's lack of support for AFS's security model and recommend
    gamin instead.  (Closes: #343246)
  * Add a hint to README.Debian on what to do about the cache partition if
    running ReiserFS or XFS without a spare partition.
  * Use make install into debian/tmp rather than make dest.  make dest is
    mostly for Transarc compatibility and make install looks more like a
    typical package and makes it easier to evaluate differences in FHS
    location between upstream and Debian.  As a side effect, there's no
    need to mess with the @sys link.  (Closes: #165909)
  * Install more files with dh_install rather than install commands in
    debian/rules so that *.install shows a more complete picture of what
    goes into each package.
  * Don't ignore make distclean errors.

 -- Russ Allbery <rra@debian.org>  Tue, 27 Dec 2005 15:34:16 -0800

openafs (1.4.0-2) unstable; urgency=low

  * Install more of the standard OpenAFS utilities.  (Closes: #138851)
    - openafs-dbserver: Install prdb_check and vldb_check.
    - openafs-fileserver: Install voldump.
    - openafs-client: Install fstrace, scout, and up (as afs-up).
    - Modify fstrace to load its catalog from /usr/share/openafs.
  * Do not install kpwvalid.  The default version does little useful and
    the kpwvalid binary must be in AFS for it to take effect.
  * Overhaul the way kernel modules are built.
    - Recommend linux-image rather than kernel-image for newer kernels.
    - Always recommend the kernel package; since it's only a recommends,
      there's no need to special-case the hand-built kernel case.
    - Be less fragile about how the kernel version is used in prep-modules
      to support other ways kernel modules are built.  (Closes: #341836)
    - Add Build-Depends and Uploaders to the openafs-modules-source
      control file.
    - Remove unused parts of prep-modules and heavily comment it.
  * openafs-client should only recommend the AFS kernel module.  Many of
    the client programs will work in unauthenticated mode without it, and
    openafs-fileserver depends on it (but doesn't require the kernel
    module).  (Closes: #342095)
  * openafs-modules-source no longer has to depend on as many libraries.
  * Suggest the same PAM settings for pam_krb5 that libpam-krb5 does.
  * Update uploader address.

 -- Russ Allbery <rra@debian.org>  Tue,  6 Dec 2005 23:34:18 -0800

openafs (1.4.0-1) unstable; urgency=low

  * New upstream version.
    - Builds correctly with 2.6.13 kernels and software suspend.
    - Builds correctly with 2.6.12-10.  (Closes: #337883)
  * Install afsd in /sbin rather than /usr/sbin.  While putting /usr in
    AFS isn't as common as it once was, no reason to make it harder than
    it needs to be.
  * Update CellServDB to the 2005-10-15 grand.central.org version.
  * Install NEWS as an upstream changelog.
  * Add a watch file.
  * Remove the unused and uninstalled make-links script.



=== usr/src/linux-2.6.16.11/debian/changelog ===
kernel-source-2.6.16.11 (linerva64.2) unstable; urgency=low

  * Added support for netwinders
  * Modified modules support to not assume everything in /usr/src/modules
    is a directory. 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 25 Nov 1998 01:39:43 -0600

kernel-source-0.34 (1.01)  unstable; urgency=low

  * This is a major change in the source/header packages. In architectures
    different from i386, `kernel-headers-*' and `kernel-source-*' are
    incompatible. This also has an effect on libc6-dev, which depends on
    kernel-headers-2.0.3x | kernel-source-2.0.3x, which is only true on
    i386 architectures. One possible solution would be to make libc6-dev
    depend on kernel-headers-2.0.32, but that won't work because
    kernel-source provides kernel-headers. In fact, since kernel-headers
    are arch dependent, but kernel-source is arch: all, kernel-source-*
    should not provide kernel-header* at all. 
    
    Once kernel source stops providing kernel-header*, and libc6-dev
    depends on kernel-headers-2.0.32 and links /usr/include/{linux,asm} to
    /usr/src/kernel-headers-2.0.32 (nor /usr/src/linux-2.0.32) things
    would work again in a Multi arch compatible fashion.
  
    Hence, now kernel-source-* packages compiled with this kernel-package
    shall not provide any sort of kernel-headers. For the sake of
    backwards compatibility, /usr/src/linux-$version symlinks are still
    being provided (as people may upload newer kernels while keeping an
    older libc6-dev around, which depends on /usr/src/linux-2.0.32. 
  
    However, I have been badgered enough about this that I shall remove
    the /usr/src/linux-$version symlinks at some point. This version no
    longer registers stuff in /usr/src/.linux-versions, and is no longer
    as paranoid about /usr/src/linux; but it does not outright remove
    those files either, so as not to cause people with older kernels
    having a problem during removal.As soon as it is deemed permissible,
    we shall get less paranoid about /usr/src/linux-$version as well. 
  * closes: Bug#18277

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 18 Feb 1998 16:44:31 -0600

kernel-source-0.33 (1.01) unstable; urgency=low

  * Added SUBARCH, which is used to distinguish Amiga, Atari, Macintosh,
    etc. kernels for Debian/m68k, and may well be required for the alpha,
    from what I hear. Unlike the FLAVOURS variable, which affects
    everything it can lay its grubby hands on (kernel image, headers,
    source, doc package versions, and where the modules are looked for
    under /lib/modules), this only affects the naming of the kernel-image
    as the source and doc packages are architecture independent and the
    kernel-headers do not vary from one sub-architecture to the
    next. These changes are courtesy of James Troup <J.J.Troup@scm.brad.ac.uk>

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Feb 1998 16:47:08 -0600

kernel-source-0.32 (1.01) unstable; urgency=low

  * Ensure that the /usr/src/linux and /usr/src/linux-<version> links
    always exist, no matter what. Apparently, upgrading from
    kernel-source-2.0.32_2.0.32-1 to kernel-source-2.0.32_2.0.32-3 does
    not create /usr/src/linux-<version>, which breaks libc6-dev.
  * Toned down the language about LILO, so as not to startle new sparc users

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 12 Feb 1998 21:56:50 -0600

kernel-source-0.31 (1.01) unstable; urgency=low

  * Added ARCH to make called, this allows for cross compiling kernels
    (added on a request by  James Troup <J.J.Troup@scm.brad.ac.uk>)
  * Make kernel-headers arch: any, so we can indeed have different headers
    for different architectures.
  * m68k can now handle vmlinuz, so reverse that behaviour in the rules
    file. AFAIK m68k still uses zImage.
  * Improvements to /usr/doc/kernel-patch/MultiArch.gz, based on
    suggestions by James Troup <J.J.Troup@scm.brad.ac.uk>/

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  9 Feb 1998 17:11:05 -0600

kernel-source-0.30 (1.01) unstable; urgency=low

  * Redid the Headers README file
  * Added a rationale to the LinkPolicy document. So far, it detailed
    *what* Debian did. Now, it also says *why* we do it.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 29 Jan 1998 19:13:58 -0600

kernel-source-0.29 (1.01) unstable; urgency=low

  * Important changes for kernel-source-* and kernel-header-* packages: now
    kernel-source-* packages also provide the exact kernel-header-* (libc6
    need only depend on kernel-header-* now.
  * The kernel-header-* and kernel-source-* packages now also maitain the
    /usr/src/linux-X.YY.ZZ links (in addition to the /usr/src/linux links)
    This is used in the libc6 package.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 13 Dec 1997 12:46:47 -0600

kernel-source-0.28 (1.01) unstable; urgency=low

  * Fixed a typo where we tried to dd /vmlinuz-2.0.32 rather than the
    correct /boot/vmlinuz-2.0.32 in image.postinst. How come this glaring
    an error has gone unreported until now?

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 23 Jan 1998 14:36:34 -0600

kernel-source-0.27 (1.01) unstable; urgency=low

 * Fixed Typo in kernel rules that put all modules into block (this
    is more of a thinko/cut and paste error. fixes: Bug#16697,Bug#16702
  * No longer a fatal error if there is no /vmlinuz (or
    equivalent). fixes: Bug#16899
  * Added language to the abort on /usr/src/linux not being a
    link. 
  * Documented the fact that if you re-run make-kpkg with a different
    revision number, you have to reconfigure the kernel. 
    fixes: Bug#16968
  * ignore obsolete fdformat in favour of superformat.
  * Changed the kernel rules file not break on the sound modules of
    2.1.70+ kernels (I think it is a bug in the kernel Makefile, but this
    fix make make-kpkg handle the problem and be more robust).
  * Modified image.postinst to also cater to people on whose architecture


=== debian/control ===
Source: openafs
Section: net
Priority: optional
Maintainer: Sam Hartman <hartmans@debian.org>
Uploaders: Russ Allbery <rra@stanford.edu>
Build-Depends: debhelper (>= 4.1.16), libncurses5-dev, libpam0g-dev, bison, docbook-to-man, flex, autoconf, automake, perl, e2fslibs-dev
Standards-Version: 3.5.0

Package: openafs-client
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64
Depends: ${shlibs:Depends}, debconf,  openafs-modules-source (>= 1.2.9)|openafs-modules2
Conflicts: arla, openafs-modules1
Description: The AFS distributed filesystem- client support
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides basic client support to mount and manipulate
 AFS.

Package: openafs-kpasswd
Priority: extra
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64
Depends: ${shlibs:Depends}, openafs-client
Conflicts: krb5-user, heimdal-clients, kerberos4kth-clients
Description: The AFS distributed filesystem- old password changing
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides kpasswd and kas, utilities needed by the 
 Transarc kaserver to create users and change passwords.  Only install
 this package if you are already using kaserver; generally you should
 not install this package for new cells or for cells using Kerberos5.

Package: openafs-fileserver
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64
Depends: ${shlibs:Depends}, debconf, openafs-client
Recommends: ntp
Description: The AFS distributed filesystem- file server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the AFS fileserver binaries.  It should be
 installed on any machine that will export files into AFS.

Package: openafs-dbserver
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64
Depends: ${shlibs:Depends}, debconf, openafs-fileserver, openafs-client, perl5
Conflicts: openafs-ptutil
Replaces: openafs-ptutil
Provides: openafs-ptutil
Description: The AFS distributed filesystem- database server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides AFS database server binaries.  It should be
 installed on the servers that will act as volume location and
 protection servers.

Package: libopenafs-dev
Section: libdevel
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64
Priority: extra
Conflicts: arla-dev
Depends: ${shlibs:Depends}
Description: The AFS distributed filesystem- development libraries
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides static development libraries and headers
 needed to compile AFS applications.

Package: openafs-modules-source
Priority: extra
Depends: bison, flex, debhelper, libpam0g-dev, libncurses5-dev, kernel-package, e2fslibs-dev
Architecture: all
Description: The AFS distributed filesystem- Module Sources
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides source to the AFS kernel modules.

Package: libpam-openafs-kaserver
Priority: extra
Depends: ${shlibs:Depends}
Recommends: openafs-client
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64
Description: The AFS distributed filesystem- kaserver PAM module
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides a PAM module for existing  sites using the AFS
 kaserver for authentication.  New sites should use a Kerberos 5
 implementation,  a Kerberos PAM module and libpam-openafs-session.

=== openafs/debian/control ===
Source: openafs
Section: net
Priority: optional
Maintainer: Sam Hartman <hartmans@debian.org>
Uploaders: Russ Allbery <rra@debian.org>
Build-Depends: debhelper (>= 4.1.16), libncurses5-dev, libpam0g-dev, bison, docbook-to-man, flex, perl, comerr-dev, libkrb5-dev
Standards-Version: 3.6.2

Package: openafs-client
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: openafs-modules-source (>= 1.2.9) | openafs-modules2, lsof
Suggests: openafs-doc
Conflicts: arla, openafs-modules1
Description: AFS distributed filesystem client support
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides basic client support to mount and manipulate
 AFS.

Package: openafs-kpasswd
Priority: extra
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64 ppc64
Depends: ${shlibs:Depends}, openafs-client
Conflicts: krb5-user, heimdal-clients, kerberos4kth-clients
Description: AFS distributed filesystem old password changing
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides kpasswd and kas, utilities needed by the OpenAFS
 kaserver to create users and change passwords.  Only install this package
 if you are already using kaserver; generally you should not install this
 package for new cells or for cells using Kerberos v5.

Package: openafs-fileserver
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}, openafs-client
Recommends: ntp
Suggests: openafs-doc
Description: AFS distributed filesystem file server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the AFS fileserver binaries.  It should be
 installed on any machine that will export files into AFS.

Package: openafs-dbserver
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64 ppc64
Depends: ${shlibs:Depends}, ${perl:Depends}, openafs-fileserver, openafs-client
Suggests: openafs-doc
Conflicts: openafs-ptutil
Replaces: openafs-ptutil
Provides: openafs-ptutil
Description: AFS distributed filesystem database server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides AFS database server binaries.  It should be
 installed on the servers that will act as volume location and
 protection servers.

Package: openafs-doc
Section: doc
Architecture: all
Description: AFS distributed filesystem documentation
 AFS is a distributed filesystem allowing cross-platform sharing of files
 among multiple computers.  Facilities are provided for access control,
 authentication, backup and administrative management.
 .
 This package contains the OpenAFS user's and reference manuals, some
 protocol documentation, and other OpenAFS documentation.

Package: openafs-krb5
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64 ppc64
Depends: ${shlibs:Depends}
Description: AFS distributed filesystem Kerberos 5 integration
 AFS is a distributed filesystem allowing cross-platform sharing of files
 among multiple computers.  Facilities are provided for access control,
 authentication, backup and administrative management.
 .
 This package provides aklog, a utility for authenticating to AFS using
 Kerberos 5.  It also provides asetkey, a utility to set AFS server keys
 from a Kerberos keytab, and ka-forwarder, a utility to forward kaserver
 requests to a KDC using fakeka.

Package: libopenafs-dev
Section: libdevel
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64 ppc64
Priority: extra
Depends: ${shlibs:Depends}
Suggests: openafs-doc
Conflicts: arla-dev, liblwp-dev
Description: AFS distributed filesystem development libraries
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides static development libraries and headers
 needed to compile AFS applications.

Package: openafs-modules-source
Priority: extra
Depends: bison, flex, debhelper (>= 4.0.0), kernel-package | module-assistant
Architecture: all
Description: AFS distributed filesystem kernel module source
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides source to the AFS kernel modules.

Package: libpam-openafs-kaserver
Priority: extra
Depends: ${shlibs:Depends}, openafs-client
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64 ppc64
Description: AFS distributed filesystem kaserver PAM module
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides a PAM module for existing  sites using the AFS
 kaserver for authentication.  New sites should use a Kerberos v5
 implementation, a Kerberos v5 PAM module, and libpam-openafs-session.

=== usr/src/linux-2.6.16.11/debian/control ===
Source: kernel-source-2.6.16.11
Section: devel
Priority: optional
Maintainer:  Unknown Kernel Package Maintainer <unknown@unconfigured.in.etc.kernel-pkg.conf>
Standards-Version: 3.5.9.0

Package: kernel-headers-2.6.16.11
Architecture: any
Section: devel
Priority: optional
Provides: kernel-headers, kernel-headers-2.6
Description: Header files related to Linux kernel version 2.6.16.11
 This package provides kernel header files for version 2.6.16.11, for sites 
 that want the latest kernel headers. Please read
 /usr/share/doc/kernel-headers-2.6.16.11/debian.README.gz for details

Package: kernel-source-2.6.16.11
Architecture: all
Section: devel
Priority: optional
Provides: kernel-source, kernel-source-2.6
Depends: binutils, bzip2
Recommends: libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, kernel-package
Description: Linux kernel source for version 2.6.16.11
 This package provides the source code for the Linux kernel version 2.6.16.11.
 .
 You may configure the kernel to your setup by typing "make config"
 and following instructions, but you could get ncursesX.X-dev and try
 "make menuconfig" for a jazzier, and easier to use interface. There 
 are options to use QT or GNOME based configuration interfaces, but they
 need additional packages to be installed. Also, please read the detailed 
 documentation in the file
 /usr/share/doc/kernel-source-2.6.16.11/README.headers.gz.
 .
 If you wish to use this package to create a custom Linux kernel, then
 it is suggested that you investigate the package kernel-package,
 which has been designed to ease the task of creating kernel image
 packages. 

Package: kernel-image-2.6.16.11
Architecture: amd64
Section: base
Priority: optional
Provides: kernel-image,  kernel-image-2.6
Depends:  coreutils | fileutils (>= 4.0)
Suggests: lilo (>= 19.1) | grub,  fdutils, kernel-doc-2.6.16.11 | kernel-source-2.6.16.11 
Description: Linux kernel binary image for version 2.6.16.11.
 This package contains the Linux kernel image for version 2.6.16.11,
 the corresponding System.map file, and the modules built by the
 packager.  It also contains scripts that try to ensure that the
 system is not left in a unbootable state after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources. Please look at kernel-img.conf(5),
 and /usr/share/doc/kernel-package/README.gz  from the package kernel-package
 for details on how to tailor the  installation of this or any other kernel 
 image package

Package: kernel-doc-2.6.16.11
Architecture: all
Section: doc
Priority: optional
Provides: kernel-doc-2.6
Suggests: kernel-image-2.6.16.11
Description: Linux kernel specific documentation for version 2.6.16.11.
 This package provides various Readme's in the 2.6.16.11 kernel
 Documentation/ subdirectory: these typically contain kernel-specific
 installation notes for some drivers. for example. Please see
 /usr/share/doc/kernel-doc-X.X.XX/Documentation/00-INDEX for a list of
 contents.  Please also read the Changes file, as it contains
 information about the problems which may result by upgrading your
 kernel.

Package: kernel-uml-2.6.16.11
Architecture: amd64
Section: base
Priority: optional
Provides: kernel-uml,  kernel-uml-2.6, user-mode-linux
Depends:  coreutils | fileutils (>= 4.0)
Suggests: lilo (>= 19.1) | grub,  fdutils, kernel-doc-2.6.16.11 | kernel-source-2.6.16.11, uml-utilities
Conflicts: user-mode-linux (>= 2.0)
Replaces: user-mode-linux
Description: Linux uml kernel binary image for version 2.6.16.11.
 This package contains the Linux uml kernel image for version 2.6.16.11
 and the modules built by the packager.  

Package: kernel-xen0-2.6.16.11
Architecture: amd64 
Section: base 
Priority: optional 
Provides: kernel-xen0,  kernel-xen0-2.6 
Depends:  coreutils | fileutils (>= 4.0) 
Suggests: lilo (>= 19.1) | grub,  fdutils, kernel-doc-2.6.16.11 | kernel-source-2.6.16.11 
Description: Linux xen kernel binary image for version 2.6.16.11. 
 This package contains the Linux xen kernel image for version 2.6.16.11 
 and the modules built by the packager.

Package: kernel-xenu-2.6.16.11
Architecture: amd64 
Section: base 
Priority: optional 
Provides: kernel-xenu,  kernel-xenu-2.6 
Depends:  coreutils | fileutils (>= 4.0) 
Suggests: lilo (>= 19.1) | grub,  fdutils, kernel-doc-2.6.16.11 | kernel-source-2.6.16.11 
Description: Linux xen kernel binary image for version 2.6.16.11. 
 This package contains the Linux xen kernel image for version 2.6.16.11 
 and the modules built by the  packager.

=== usr/src/modules/openafs/debian/control ===
Source: openafs
Section: net
Priority: optional
Maintainer: Sam Hartman <hartmans@debian.org>
Uploaders: Russ Allbery <rra@debian.org>
Build-Depends: debhelper (>= 4.1.16), flex, bison
Standards-Version: 3.6.2

Package: openafs-modules-2.6.16.11
Conflicts: openafs-client (<< 1.2.9)
Provides: openafs-modules2
Architecture: any
Recommends: linux-image-2.6.16.11
Description: AFS distributed filesystem kernel module
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the compiled AFS kernel module for kernel
 version 2.6.16.11.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# This has to be exported to make some magic below work.
export DH_OPTIONS

# The AFS sysname is determined by a script
KVERS=`perl -e '$$_ = <>; $$_ =~ m/"(.+)"/; print "$$1\n";' < $(KSRC)/include/linux/version.h`
SYS_NAME=$(shell KVERS=$(KVERS) sh debian/sysname)
package=openafs
srcpkg = openafs-modules-source
modulepkg=$(shell echo openafs-modules-$(KVERS)${INT_SUBARCH})
ifndef KSRC
KSRC=/usr/src/linux
endif
MODDIR=..
LINTIAN_PACKAGES= openafs-client openafs-fileserver
export KSRC 
export KVERS


configure: configure-stamp
configure-stamp:
	dh_testdir
	-ln -s @sys/dest dest
	-ln -s $(SYS_NAME) @sys
#	sh regen.sh
	 afslogsdir=/var/log/openafs sh configure --with-afs-sysname=$(SYS_NAME) --disable-kernel-module \
	--prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib \
	--localstatedir=/var/lib  afslocaldir=/etc/openafs/server-local \
	--enable-supergroups --enable-largefile-fileserver --enable-debug
	chmod a+x src/libafs/make_kbuild_makefile.pl         
	install -d $(SYS_NAME)/dest/root.client/usr/vice/etc
	install -d dest/root.server/usr/afs/bin

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE) dest_nolibafs
	-rm $(SYS_NAME)/dest/include/crypt.h
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp build-modules-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) -ki distclean
	-rm -rf obj dest $(SYS_NAME) @sys Makefile debian/openafs-client.init
	-rm -rf config.status config.cache lib include src/pic
	-rm -f src/venus/livesys src/tests/Makefile src/tests/OpenAFS/DirPath.pm 
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	mkdir -p debian/openafs-dbserver/usr/share/man/man8
		/usr/bin/docbook-to-man debian/pt_util.sgml >debian/openafs-dbserver/usr/share/man/man8/pt_util.8
	for foo in $(LINTIAN_PACKAGES) ; do \
		install -d debian/$$foo/usr/share/lintian/overrides; \
		cp debian/$$foo.lintian debian/$$foo/usr/share/lintian/overrides/$$foo; \
		done
	for pkg in openafs-dbserver openafs-fileserver openafs-kpasswd; do \
		ln -s openafs-client debian/$$pkg/usr/share/doc/$$pkg; \
		done
	# Add here commands to install the package into debian/tmp.
	cat debian/filelist |sh debian/movefiles
	mv debian/openafs-client/usr/bin/pagsh  \
	debian/openafs-client/usr/bin/pagsh.openafs
	install -m644 -c dest/lib/pam_afs.so.1 \
		debian/libpam-openafs-kaserver/lib/security/pam_afs.so
	cp debian/CellServDB debian/openafs-client/usr/share/openafs
	cp dest/root.client/usr/vice/etc/afs.rc debian/openafs-client.init
	cp dest/root.client/usr/vice/etc/afs.conf debian/openafs-client/etc/openafs/afs.conf
	install -m 755 -o root -g root debian/afs-rootvol debian/openafs-dbserver/usr/sbin
	install -g root -o root -m 755 debian/afs-newcell \
		debian/openafs-dbserver/usr/sbin
	install -D -m 644 debian/ConfigUtils.pm \
		debian/openafs-dbserver/usr/lib/perl5/Debian/OpenAFS/ConfigUtils.pm
	(cd debian&&pod2man --section 8 --center "Debian GNU/Linux"  \
		afs-rootvol ) >debian/openafs-dbserver/usr/share/man/man8/afs-rootvol.8
	(cd debian&&pod2man --section 8 --center "Debian GNU/Linux"  \
		afs-newcell ) >debian/openafs-dbserver/usr/share/man/man8/afs-newcell.8
	# No, includes should not have the x bit set
	find debian/libopenafs-dev/usr/include -type f -print | \
		xargs chmod a-x
	# bos gets annoyed if the partitions on /etc/openafs/server-local are too liberal
	chmod 700 debian/openafs-fileserver/etc/openafs/server-local

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install binary-source
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
	dh_installchangelogs   
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	DH_OPTIONS= dh_installinit -popenafs-client -r -- defaults 25 18
	DH_OPTIONS= dh_installinit -popenafs-fileserver -r
	dh_installcron
#	dh_installmanpages
	dh_installinfo
	dh_installchangelogs   
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	chmod 700 debian/openafs-client/var/cache/openafs
	chmod 700 debian/openafs-fileserver/etc/openafs/server
	chmod 700 debian/openafs-dbserver/var/lib/openafs/db
	chmod 700 debian/openafs-fileserver/var/lib/openafs/cores
	dh_installdeb
#	dh_makeshlibs
#	dh_perlc
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:   binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

############################Module package support
kdist_image:  build-modules
	$(MAKE) $(MFLAGS) -f debian/rules MODDIR=$(KSRC)/.. binary-modules
	$(MAKE) $(MFLAGS) -f debian/rules MODDIR=$(KSRC)/.. clean

kdist:  build-modules
	$(MAKE) $(MFLAGS) -f debian/rules MODDIR=$(KSRC)/.. KERNEL_DEPENDS=y binary-modules
	KSRC="$(KSRC)" KMAINT="$(KMAINT)" KEMAIL="$(KEMAIL)" \
		sh -v debian/genchanges.sh
	$(MAKE) $(MFLAGS) -f debian/rules MODDIR=$(KSRC)/.. clean



kdist_config: configure

kdist_clean: clean

############################ source stuff #################################
binary-source:
# Perform some tests
	test -f debian/rules
	test `id -u` = "0"


# Setup everything first
	-rm -rf debian/$(srcpkg) debian/substvars
	install -d debian/$(srcpkg)
# Clean up the sources	
	install -d debian/$(srcpkg)/usr/src/modules/$(package)
	find . \( -name \*.o -o -path ./debian/$(srcpkg) -o -path \*/CVS -o -path ./src/WINNT  \
		-o -path ./obj -o -path ./$(SYS_NAME)  \
	-o \( -path ./debian/\* -type d \) \
	-o -path ./debian/\*debhelper \) -prune -o -print | \
		cpio -admp debian/$(srcpkg)/usr/src/modules/$(package)
	( cd debian/$(srcpkg)/usr/src/modules/$(package)&& \
		$(MAKE) -f debian/rules clean && \
	rm -rf src/libafs/rx src/libafs/afs src/libafs/afsint; \
		mv debian/kern-sysname debian/sysname)
	chown -R root.src debian/$(srcpkg)
	find debian/$(srcpkg) -type d | xargs chmod 755
	find debian/$(srcpkg) -type f -perm -100 | xargs chmod 755
	find debian/$(srcpkg) -type f -not -perm -100 | xargs chmod 644
	chmod 775 debian/$(srcpkg)/usr/src/modules
	cd debian/$(srcpkg)/usr/src && \
	  tar cf $(package).tar modules && \
	  $(RM) -r modules/$(package)
	gzip -9 debian/$(srcpkg)/usr/src/$(package).tar
	chmod 644 debian/$(srcpkg)/usr/src/$(package).tar.gz
############################ modules stuff #################################

build-modules: build-modules-stamp

build-modules-stamp: 
	-ln -s @sys/dest dest
	-ln -s $(SYS_NAME) @sys
	sh configure --with-afs-sysname=$(SYS_NAME) --with-linux-kernel-headers=$(KSRC) --prefix=`pwd`/debian/tmp
	make only_libafs
	cd src/libafs&&make install
	touch build-modules-stamp

binary-modules: build-modules
# Perform some tests
	test -f debian/rules
	test `id -u` = "0"

# Setup everything first
	-rm -rf debian/$(modulepkg) debian/substvars
	install -d debian/$(modulepkg)

# Install the software
	install -d -g root -o root -m 755 debian/$(modulepkg)/lib/modules/$(KVERS)/fs

=== usr/src/linux-2.6.16.11/debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## debian.rules ---
## Author	    : Manoj Srivastava ( srivasta@pilgrim.umass.edu )
## Created On	    : Sat Apr 27 06:36:31 1996
## Created On Node  : melkor.pilgrim.umass.edu
## Last Modified By : Manoj Srivastava
## Last Modified On : Sat May  7 02:40:22 2005
## Last Machine Used: glaurung.internal.golden-gryphon.com
## Update Count	    : 812
## Status	    : Unknown, Use with caution!
## HISTORY	    :
## Description	    :
## arch-tag: aa70d4e5-79bf-405c-95ec-5fa9f7ae7b69
###############################################################################

DPKG_ARCH := dpkg-architecture

ifeq ($(strip $(KPKG_ARCH)),um)
  MAKING_VIRTUAL_IMAGE:=YES
endif
ifeq ($(strip $(KPKG_ARCH)),xen)
  MAKING_VIRTUAL_IMAGE:=YES
endif

ifdef KPKG_ARCH
  ifeq ($(strip $(MAKING_VIRTUAL_IMAGE)),)
      ha:=-a$(KPKG_ARCH)
  endif
endif

# set the dpkg-architecture vars
export DEB_BUILD_ARCH      := $(shell $(DPKG_ARCH) $(ha) -qDEB_BUILD_ARCH)
export DEB_BUILD_GNU_CPU   := $(shell $(DPKG_ARCH) $(ha) -qDEB_BUILD_GNU_CPU)
export DEB_BUILD_GNU_SYSTEM:= $(shell $(DPKG_ARCH) $(ha) -qDEB_BUILD_GNU_SYSTEM)
export DEB_BUILD_GNU_TYPE  := $(shell $(DPKG_ARCH) $(ha) -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH       := $(shell $(DPKG_ARCH) $(ha) -qDEB_HOST_ARCH)
export DEB_HOST_ARCH_OS    := $(shell $(DPKG_ARCH) $(ha) -qDEB_HOST_ARCH_OS     \
                                2>/dev/null|| true)
export DEB_HOST_GNU_CPU    := $(shell $(DPKG_ARCH) $(ha) -qDEB_HOST_GNU_CPU)
export DEB_HOST_GNU_SYSTEM := $(shell $(DPKG_ARCH) $(ha) -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_GNU_TYPE   := $(shell $(DPKG_ARCH) $(ha) -qDEB_HOST_GNU_TYPE)

# arrgh. future proofing
ifeq ($(DEB_HOST_GNU_SYSTEM), linux)
  DEB_HOST_GNU_SYSTEM=linux-gnu
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  ifeq ($(DEB_HOST_GNU_SYSTEM), linux-gnu)
    DEB_HOST_ARCH_OS := linux
  endif
  ifeq ($(DEB_HOST_GNU_SYSTEM), kfreebsd-gnu)
    DEB_HOST_ARCH_OS := kfreebsd
  endif
endif
#
# VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | \
#                          sed 's/^Version: *//')
#

# The version of kernel-package this belongs to
kpkg_version := 8.135

# The maintainer information.
maintainer = Debian Kernel Team
email= debian-kernel@lists.debian.org

pgp=$(maintainer)

# Where we read our config information from
CONFLOC    :=$(shell if test -f ~/.kernel-pkg.conf; then\
                        echo ~/.kernel-pkg.conf; \
                     else \
                        echo /etc/kernel-pkg.conf; \
                     fi)
# Where the package libs are stored
LIBLOC     :=/usr/share/kernel-package
# Default location of the modules
ifeq ($(strip $(MODULE_LOC)),)
MODULE_LOC =/usr/src/modules
endif
#
DEBDIR      = $(LIBLOC)
DEBDIR_NAME = $(shell basename $(DEBDIR))

DEBIAN_FILES = kernel_version.mk config kpkg-vercheck Control Control.bin86 rules \
               README README.grub README.headers README.tecra README.modules      \
               sample.module.control Flavours Rationale copyright.source          \
               README.Debian src.postinst README.source include.postinst          \
               copyright.headers README.headers README.doc copyright.doc          \
               src.postinst image.postinst image.postrm image.preinst image.prerm \
               xen.postinst xen.prerm um.postinst um.prerm linux.1 $(loaderdoc)   \
               README.image copyright.image
DEBIAN_DIRS  = Config

#  Package specific stuff
# decide if image is meant to be in /boot rather than /
link_in_boot :=
# Can we use symlinks?
no_symlink :=
# If so, where is the real file (usually, vmlinuz-X.X.X is real, and
# vmlinuz is the link, this variable reverses it.
reverse_symlink :=

# The version numbers for kernel-image, kernel-headers and
# kernel-source are deduced from the Makefile (see below,
# and footnote 1 for details)

# Whether to look for and install kernel patches by default.
# Be very careful if you do this.
patch_the_kernel := AUTO

# do not create libc headers by default
make_libc_headers := NO

# run make clean after build
do_clean := NO

# install uncompressed kernel ELF-image (for oprofile)
int_install_vmlinux := NO

# what kernel config target to run in our configure target.
config_target := oldconfig


# The default architecture (all if architecture independent)
CROSS_ARG:=

ifdef KPKG_ARCH
  architecture:=$(KPKG_ARCH)
else
  #architecture:=$(shell CC=$(HOSTCC) dpkg --print-gnu-build-architecture)
  #architecture:=$(DEB_HOST_ARCH)
  architecture:=$(DEB_HOST_GNU_CPU)
  ifeq ($(architecture), x86_64)
    architecture:=amd64
  endif
endif

ifndef CROSS_COMPILE
  ifeq ($(strip $(MAKING_VIRTUAL_IMAGE)),)
    ifneq ($(strip $(architecture)),$(strip $(DEB_BUILD_ARCH)))
      #KERNEL_CROSS:=$(architecture)-$(strip $(DEB_HOST_ARCH_OS))-
      KERNEL_CROSS:=$(DEB_HOST_GNU_TYPE)-
      ifeq ($(architecture), amd64)
        KERNEL_CROSS:=$(architecture)-$(strip $(DEB_HOST_ARCH_OS))-
      endif
    endif
  endif
else
  KERNEL_CROSS:=$(CROSS_COMPILE)-
endif

KERNEL_CROSS:=$(shell echo $(KERNEL_CROSS) | sed -e 's,--$$,-,')

ifneq ($(strip $(KERNEL_CROSS)),)
  CROSS_ARG:=CROSS_COMPILE=$(KERNEL_CROSS)
endif

KERNEL_ARCH:=$(architecture)
DEBCONFIG = $(CONFDIR)/config
IMAGEDIR=/boot
INT_IMAGE_DESTDIR=debian/tmp-image$(IMAGEDIR)

comma:= ,
empty:=
space:= $(empty) $(empty)


ifeq ($(DEB_HOST_GNU_SYSTEM), kfreebsd-gnu)
  PMAKE = PATH=/usr/lib/freebsd/:$(CURDIR)/bin:$(PATH) WERROR= MAKEFLAGS= freebsd-make
endif

# Install rules
install_file=    install -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory=  install -p -d -o root -g root -m 755
deb_rule = $(MAKE) -f $(DEBDIR)/rules

ifeq ($(DEB_HOST_GNU_SYSTEM), linux-gnu)
  # localversion_files := $(wildcard localversion*)
  # VERSION =$(shell grep -E '^VERSION +=' Makefile 2>/dev/null | \
  #  sed -e 's/[^0-9]*\([0-9]*\)/\1/')
  # PATCHLEVEL =$(shell grep -E '^PATCHLEVEL +=' Makefile 2>/dev/null | \
  #  sed -e 's/[^0-9]*\([0-9]*\)/\1/')
  # SUBLEVEL =$(shell grep -E '^SUBLEVEL +=' Makefile 2>/dev/null | \
  #  sed -e 's/[^0-9]*\([0-9]*\)/\1/')
  # EXTRA_VERSION =$(shell grep -E '^EXTRAVERSION +=' Makefile 2>/dev/null | \
  #  sed -e 's/EXTRAVERSION *= *\([^ \t]*\)/\1/')
  # LOCALVERSION = $(subst $(space),, $(shell cat /dev/null $(localversion_files)) \
  #                  $(CONFIG_LOCALVERSION))

  # Could have used :=, but some patches do seem to patch the
  # Makefile. perhaps deferring the rule makes that better
  VERSION      :=$(shell $(MAKE) $(CROSS_ARG) --no-print-directory -sf $(DEBDIR)/kernel_version.mk debian_VERSION)
  PATCHLEVEL   :=$(shell $(MAKE) $(CROSS_ARG) --no-print-directory -sf $(DEBDIR)/kernel_version.mk debian_PATCHLEVEL)
  SUBLEVEL     :=$(shell $(MAKE) $(CROSS_ARG) --no-print-directory -sf $(DEBDIR)/kernel_version.mk debian_SUBLEVEL)
  EXTRA_VERSION:=$(shell $(MAKE) $(CROSS_ARG) --no-print-directory -sf $(DEBDIR)/kernel_version.mk debian_EXTRAVERSION)
  LOCALVERSION :=$(shell $(MAKE) $(CROSS_ARG) --no-print-directory -sf $(DEBDIR)/kernel_version.mk debian_LOCALVERSION)
else
  ifeq ($(DEB_HOST_GNU_SYSTEM), kfreebsd-gnu)
    VERSION        =$(shell grep '^REVISION=' conf/newvers.sh | \
      sed -e 's/[^0-9]*\([0-9]\)\..*/\1/')
    PATCHLEVEL =$(shell grep '^REVISION=' conf/newvers.sh |     \
     sed -e 's/[^0-9]*[0-9]*\.\([0-9]*\)[^0-9]*/\1/')
    SUBLEVEL =0
    EXTRA_VERSION =$(shell grep '^RELEASE=' conf/newvers.sh |   \
     sed -e 's/[^0-9]*\([0-9]*\)[^0-9]*/\1/')
    LOCALVERSION = $(subst $(space),,                           \
       $(shell cat /dev/null $(localversion_files)) $(CONFIG_LOCALVERSION))
  endif
endif



HAVE_NEW_MODLIB =$(shell grep -E '\(INSTALL_MOD_PATH\)' Makefile 2>/dev/null )

ifneq ($(strip $(EXTRA_VERSION)),)
HAS_ILLEGAL_EXTRA_VERSION =$(shell                         \
    perl -e '$$i="$(EXTRA_VERSION)"; $$i !~ m/^[a-z\.\-\+][a-z\d\.\-\+]*$$/o && print YES;')

=== usr/src/modules/openafs/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Tell Autoconf the correct system types.
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
    SYSTEM = --build $(DEB_HOST_GNU_TYPE)
else
    SYSTEM = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# Determine whether we're building with optimization.  This doesn't really
# work at the moment due to upstream problems.
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    DEBIAN_OPT_FLAGS = --disable-optimize --disable-lwp-optimize
    DEBIAN_KERN_FLAGS = --disable-kernel-optimize
else
    DEBIAN_OPT_FLAGS =
    DEBIAN_KERN_FLAGS =
endif

# Find kernel build information.
ifndef KSRC
    KSRC = /usr/src/linux
endif
ifndef KPKG_DEST_DIR
    KPKG_DEST_DIR = ..
endif
KVERS := $(shell perl debian/kernel-version $(KSRC))
export KSRC 
export KVERS
export KPKG_DEST_DIR

SYS_NAME  := $(shell KSRC="$(KSRC)" KVERS="$(KVERS)" sh debian/sysname)

package    = openafs
srcpkg     = openafs-modules-source
modulepkg := openafs-modules-$(KVERS)${INT_SUBARCH}
moduledir := debian/$(modulepkg)/lib/modules/$(KVERS)/fs

# These packages have lintian overrides.
LINTIAN_PACKAGES = openafs-dbserver openafs-client openafs-fileserver

# The /usr/share/doc directory for these packages should be a symlink to
# /usr/share/doc/openafs-client.  Any package on this list must depend on
# openafs-client.
DOC_PACKAGES = libpam-openafs-kaserver openafs-dbserver openafs-fileserver \
	openafs-kpasswd

# These variable is used only by get-orig-source, which will normally only be
# run by maintainers.
VERSION   = 1.4.1
DEBVERS   = 1.4.1
UPSTREAM  = /afs/grand.central.org/software/openafs/$(VERSION)

# Download the upstream source, merge in the doc tarball, and do the
# repackaging that we have to do for DFSG reasons.  This assumes AFS is
# mounted, as it's generally only used by the package maintainers.
get-orig-source:
	cp $(UPSTREAM)/openafs-$(VERSION)-src.tar.bz2 .
	tar xjf openafs-$(VERSION)-src.tar.bz2
	rm openafs-$(VERSION)-src.tar.bz2
	cp $(UPSTREAM)/openafs-$(VERSION)-doc.tar.bz2 .
	tar xjf openafs-$(VERSION)-doc.tar.bz2
	rm openafs-$(VERSION)-doc.tar.bz2
	rm -r openafs-$(VERSION)/src/packaging/MacOS
	rm -r openafs-$(VERSION)/src/WINNT
	tar cf openafs_$(DEBVERS).orig.tar openafs-$(VERSION)
	rm -r openafs-$(VERSION)
	gzip -9 openafs_$(DEBVERS).orig.tar

configure: configure-stamp
configure-stamp:
	@if test x"$(SYS_NAME)" = x"UNKNOWN" ; then exit 1 ; fi
	dh_testdir
	afslogsdir=/var/log/openafs afslocaldir=/etc/openafs/server-local \
	    sh configure \
	    --with-afs-sysname=$(SYS_NAME) --disable-kernel-module \
	    --prefix=/usr --mandir=\$${prefix}/share/man \
	    --sysconfdir=/etc --libexecdir=/usr/lib \
	    --localstatedir=/var/lib --enable-supergroups \
	    --enable-largefile-fileserver --enable-debug --enable-lwp-debug \
	    --with-krb5-conf=/usr/bin/krb5-config \
	    $(DEBIAN_OPT_FLAGS) $(SYSTEM)
	chmod a+x src/libafs/make_kbuild_makefile.pl         
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	mkdir -p $(CURDIR)/debian/tmp
	cd doc/man-pages/pod8 && pod2man -c 'AFS Command Reference' \
	    -r 'OpenAFS' -s 8 asetkey.pod > ../man8/asetkey.8
	cd doc/man-pages/pod8 && pod2man -c 'AFS Command Reference' \
	    -r 'OpenAFS' -s 8 ka-forwarder.pod > ../man8/ka-forwarder.8
	$(MAKE) install_nolibafs DESTDIR=$(CURDIR)/debian/tmp
	chmod +x debian/afs-rootvol debian/afs-newcell
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f build-modules-stamp configure-modules-stamp
ifeq (Makefile,$(wildcard Makefile))
	$(MAKE) distclean
endif
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_install

	set -e; for pkg in $(LINTIAN_PACKAGES) ; do \
	    install -d debian/$$pkg/usr/share/lintian/overrides; \
	    install -m 644 -c debian/$$pkg.lintian \
	        debian/$$pkg/usr/share/lintian/overrides/$$pkg; \
	done
	set -e; for pkg in $(DOC_PACKAGES) ; do \
	    ln -s openafs-client debian/$$pkg/usr/share/doc/$$pkg; \
	done

	mv debian/openafs-client/usr/bin/pagsh \
	    debian/openafs-client/usr/bin/pagsh.openafs
	mv debian/openafs-client/usr/share/man/man1/pagsh.1 \
	    debian/openafs-client/usr/share/man/man1/pagsh.openafs.1
	mv debian/openafs-client/usr/bin/up \
	    debian/openafs-client/usr/bin/afs-up
	mv debian/openafs-client/usr/share/man/man1/up.1 \
	    debian/openafs-client/usr/share/man/man1/afs-up.1

	install -m 644 -c debian/tmp/usr/lib/pam_afs.so.1 \
	    debian/libpam-openafs-kaserver/lib/security/pam_afs.so
	install -m 644 -c debian/tmp/usr/lib/pam_afs.krb.so.1 \
	    debian/libpam-openafs-kaserver/lib/security/pam_afs.krb.so

	install -d debian/openafs-dbserver/usr/share/man/man8
	/usr/bin/docbook-to-man debian/pt_util.sgml \
	    >debian/openafs-dbserver/usr/share/man/man8/pt_util.8
	( cd debian && pod2man --section 8 --center "Debian GNU/Linux" \
	    afs-rootvol ) \
	    >debian/openafs-dbserver/usr/share/man/man8/afs-rootvol.8
	( cd debian && pod2man --section 8 --center "Debian GNU/Linux" \
	    afs-newcell ) \
	    >debian/openafs-dbserver/usr/share/man/man8/afs-newcell.8

# Build architecture-independent files here.  Pass -i to all debhelper
# commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install binary-source
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs -XQuickStartWindows -Xwinnotes
	dh_installexamples
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.  Pass -a to all debhelper commands
# in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
	dh_installdebconf
	DH_OPTIONS= dh_installinit -popenafs-client -r -- defaults 25 18
	DH_OPTIONS= dh_installinit -popenafs-fileserver -r
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chmod 700 debian/openafs-client/var/cache/openafs
	chmod 700 debian/openafs-dbserver/var/lib/openafs/db
	chmod 700 debian/openafs-fileserver/etc/openafs/server
	chmod 700 debian/openafs-fileserver/var/lib/openafs/cores
	dh_perl
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

#####################  Building openafs-modules-source  ######################

binary-source:
	dh_testdir
	dh_testroot
	-rm -rf debian/$(srcpkg) debian/substvars
	install -d debian/$(srcpkg)/usr/src/modules/$(package)
	find . \( -name \*.o -o -path ./debian/$(srcpkg) -o -path \*/CVS \
	    -o -path \*/.svn -o -path ./src/WINNT -o -path ./doc \
	    -o -path ./obj -o -path ./$(SYS_NAME) \
	    -o \( -path ./debian/\* -type d \) \
	    -o -path ./debian/\*debhelper \) -prune -o -print | \
	        cpio -admp debian/$(srcpkg)/usr/src/modules/$(package)
	cd debian/$(srcpkg)/usr/src/modules/$(package) && \
	    $(MAKE) -f debian/rules clean && \
	    mv debian/kern-sysname debian/sysname
	-cd debian/$(srcpkg)/usr/src/modules/$(package) && \
	    rm -rf src/libafs/rx src/libafs/afs src/libafs/afsint
	chown -R root.src debian/$(srcpkg)
	find debian/$(srcpkg) -type d | xargs chmod 755
	find debian/$(srcpkg) -type f -perm -100 | xargs chmod 755
	find debian/$(srcpkg) -type f -not -perm -100 | xargs chmod 644
	chmod 775 debian/$(srcpkg)/usr/src/modules
	cd debian/$(srcpkg)/usr/src && \
	    tar cf $(package).tar modules && \
	    rm -r modules
	gzip -9 debian/$(srcpkg)/usr/src/$(package).tar

=== openafs/debian/watch ===
# debian/watch -- Rules for uscan to find new upstream versions.
#
# Note that the following watch file does not find development releases,
# only general releases and release candidates.  If we package development
# releases, a rule should be added to find them as well.

version=3

# Without the /pages in the URL, one gets the frameset page.
http://www.openafs.org/pages/release/latest.html \
    .*/openafs-([^-]+)-src\.tar\.gz

# Release candidates are stashed in another secret place and we change the
# version number for proper sorting of versions in Debian.
#opts="uversionmangle=s/\.0-rc/rc/" \
#    http://dl.openafs.org/dl/openafs/candidate/ ([^/]+-rc\d+)/
